> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ttapi.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Получение результата

> Используйте NovelAI API получения результата, чтобы получать статус задач генерации изображений, выходные URL и данные ответов для асинхронных сценариев.



## OpenAPI

````yaml openapi/ru/novel.json get /novelai/fetch
openapi: 3.1.0
info:
  title: Документация NovelAI API
  version: 1.0.0
  description: TTAPI Новый сервис AI API
servers:
  - url: https://api.ttapi.io
security: []
paths:
  /novelai/fetch:
    get:
      description: Получение текущего результата генерации по jobId
      parameters:
        - name: jobId
          in: query
          required: true
          schema:
            type: string
          description: Идентификатор созданной задачи
      responses:
        '200':
          description: Запрос выполнен успешно
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - PENDING_QUEUE
                      - ON_QUEUE
                      - SUCCESS
                      - FAILED
                  message:
                    type: string
                    description: Сообщение ответа
                  jobId:
                    type: string
                    description: ID задач
                  data:
                    type: object
                    description: Результат задачи
                    properties:
                      finishTime:
                        type: string
                        description: Время завершения
                      imageUrl:
                        type: string
                        description: >-
                          URL изображения. Срок действия: см. [Хранение и
                          устойчивость](/grids/ru/faq/storage)
                      prompt:
                        type: string
                        description: Промпт
                      quota:
                        type: string
                        description: Израсходованная quota
                      hookUrl:
                        type: string
                        description: URL обратного вызова
                example:
                  data:
                    finishTime: '2026-02-12 09:09:11'
                    hookUrl: null
                    imageUrl:
                      - https://cdn.ttapi.io/xxx1.png
                      - https://cdn.ttapi.io/xxx2.png
                    prompt: >-
                      1 young woman, professional talent service specialist,
                      warm dark brown eyes, sleek black hair styled in a neat
                      shoulder-length straight bob with soft side-swept bangs,
                      wearing a tailored light blue blazer over a crisp white
                      silk blouse, navy blue slim-fit dress pants, a small
                      delicate silver wristwatch on the left wrist, a
                      professional ID badge clipped to the lapel, black leather
                      low-heeled pumps, gentle and approachable smile, friendly
                      and professional appearance,solo,face front,full
                      body,standing,full shot, white background, simple
                      background, simple shadow,masterpiece, best quality,very
                      aesthetic
                    quota: '4.00'
                  jobId: 3b178ca1-78ee-41c1-94d7-3464b27a2439
                  message: success
                  status: SUCCESS
                required:
                  - status
                  - message
        '400':
          $ref: '#/components/responses/400Response'
        '401':
          $ref: '#/components/responses/401Response'
      security:
        - CustomApiKey: []
components:
  responses:
    400Response:
      description: Ошибка параметров
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: '"prompt" cannot be empty.'
              data:
                type: object
            required:
              - status
              - message
    401Response:
      description: Ошибка авторизации
      content:
        application/json:
          schema:
            type: object
            properties:
              status:
                type: string
                example: FAILED
              message:
                type: string
                example: Wrong TT-API-KEY or email is not activated.
            required:
              - status
              - message
  securitySchemes:
    CustomApiKey:
      type: apiKey
      in: header
      name: TT-API-KEY
      description: >-
        Вы можете получить API-ключ в <a href='https://dashboard.ttapi.io'
        target='_blank'>панель управления TTAPI</a>.

````